diff --git a/web/pgadmin/static/css/overrides.css b/web/pgadmin/static/css/overrides.css
index 16f7f0a..16ea37a 100755
--- a/web/pgadmin/static/css/overrides.css
+++ b/web/pgadmin/static/css/overrides.css
@@ -276,6 +276,11 @@ iframe {
     padding-right: 3px;
     padding-left: 3px;
 }
+.pgadmin-controls.SQL {
+  min-width: 290px;
+  padding-right: 3px;
+  padding-left: 1px;
+}
 .pgadmin-controls > textarea.form-control,
 .pgadmin-controls > textarea.form-control[disabled] {
    min-width: 100%;
@@ -855,11 +860,20 @@ td.edit-cell.editable.sortable.renderable.editor {
 }
 
 .sql_field_height_300 {
-    height: 300px;
+    height: 340px;
 }
 
 .sql_field_height_400 {
-    height: 400px;
+    height: 440px;
+}
+
+.tab-pane.SQL {
+  padding: 0px 7px 0px 0px;
+}
+
+.pgadmin-control-group.sql {
+  margin: 0px;
+  padding: 0px;
 }
 
 .nav-tabs{
@@ -929,3 +943,7 @@ ul.nav.nav-tabs {
 .pgadmin-control-group span.wcTabIcon {
   padding-left: 20px;
 }
+
+.pgadmin-controls.SQL>.CodeMirror {
+  height: 500px!important;
+}
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 8eaed6d..0f7edc8 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -519,7 +519,7 @@
         '  id="<%=hId%>" aria-controls="<%=cId%>">',
         '<%=label%></a></li>'].join(" ")),
       'panel': _.template(
-        '<div role="tabpanel" class="tab-pane col-sm-12 col-md-12 col-lg-12 col-xs-12 fade" id="<%=cId%>" aria-labelledby="<%=hId%>"></div>'
+        '<div role="tabpanel" class="tab-pane <%=label%> col-sm-12 col-md-12 col-lg-12 col-xs-12 fade" id="<%=cId%>" aria-labelledby="<%=hId%>"></div>'
       )},
     render: function() {
       this.cleanup();
@@ -1307,7 +1307,7 @@
   var SqlTabControl = Backform.SqlTabControl = Backform.Control.extend({
     defaults: {
       label: "",
-      controlsClassName: "pgadmin-controls col-sm-12",
+      controlsClassName: "pgadmin-controls col-sm-12 SQL",
       extraClasses: [],
       helpMessage: null
     },
